# Documentation 

### Enrichment functions
These functions are used for enrichment analysis:
>
* [`xEnricherGenes`](http://rawgit.com/hfang-bristol/XGR/master/inst/xEnricherGenes.html) (see [`Source Code`](https://github.com/hfang-bristol/XGR/blob/master/R/xEnricherGenes.r))
* [`xEnricherSNPs`](http://rawgit.com/hfang-bristol/XGR/master/inst/xEnricherSNPs.html) (see [`Source Code`](https://github.com/hfang-bristol/XGR/blob/master/R/xEnricherSNPs.r))
* [`xEnricherYours`](http://rawgit.com/hfang-bristol/XGR/master/inst/xEnricherYours.html) (see [`Source Code`](https://github.com/hfang-bristol/XGR/blob/master/R/xEnricherYours.r))
* [`xEnrichViewer`](http://rawgit.com/hfang-bristol/XGR/master/inst/xEnrichViewer.html) (see [`Source Code`](https://github.com/hfang-bristol/XGR/blob/master/R/xEnrichViewer.r))
* [`xEnricher`](http://rawgit.com/hfang-bristol/XGR/master/inst/xEnricher.html) (see [`Source Code`](https://github.com/hfang-bristol/XGR/blob/master/R/xEnricher.r))

### Similarity functions
These functions are used for similarity analysis:
>
* [`xSocialiserGenes`](http://rawgit.com/hfang-bristol/XGR/master/inst/xSocialiserGenes.html) (see [`Source Code`](https://github.com/hfang-bristol/XGR/blob/master/R/xSocialiserGenes.r))
* [`xSocialiserSNPs`](http://rawgit.com/hfang-bristol/XGR/master/inst/xSocialiserSNPs.html) (see [`Source Code`](https://github.com/hfang-bristol/XGR/blob/master/R/xSocialiserSNPs.r))
* [`xSocialiser`](http://rawgit.com/hfang-bristol/XGR/master/inst/xSocialiser.html) (see [`Source Code`](https://github.com/hfang-bristol/XGR/blob/master/R/xSocialiser.r))

### Network functions
These functions are used for network analysis:
>
* [`xSubneterGenes`](http://rawgit.com/hfang-bristol/XGR/master/inst/xSubneterGenes.html) (see [`Source Code`](https://github.com/hfang-bristol/XGR/blob/master/R/xSubneterGenes.r))
* [`xSubneterSNPs`](http://rawgit.com/hfang-bristol/XGR/master/inst/xSubneterSNPs.html) (see [`Source Code`](https://github.com/hfang-bristol/XGR/blob/master/R/xSubneterSNPs.r))

### Priority functions
These functions are used for priority analysis:
>
* [`xPrioritiser`](http://rawgit.com/hfang-bristol/XGR/master/inst/xPrioritiser.html) (see [`Source Code`](https://github.com/hfang-bristol/XGR/blob/master/R/xPrioritiser.r))
* [`xPrioritiserGenes`](http://rawgit.com/hfang-bristol/XGR/master/inst/xPrioritiserGenes.html) (see [`Source Code`](https://github.com/hfang-bristol/XGR/blob/master/R/xPrioritiserGenes.r))
* [`xPrioritiserSNPs`](http://rawgit.com/hfang-bristol/XGR/master/inst/xPrioritiserSNPs.html) (see [`Source Code`](https://github.com/hfang-bristol/XGR/blob/master/R/xPrioritiserSNPs.r))
* [`xPrioritiserPathways`](http://rawgit.com/hfang-bristol/XGR/master/inst/xPrioritiserPathways.html) (see [`Source Code`](https://github.com/hfang-bristol/XGR/blob/master/R/xPrioritiserPathways.r))
* [`xPrioritiserManhattan`](http://rawgit.com/hfang-bristol/XGR/master/inst/xPrioritiserManhattan.html) (see [`Source Code`](https://github.com/hfang-bristol/XGR/blob/master/R/xPrioritiserManhattan.r))

### Infrastructure functions
These functions are essential as they deal with infrastructure such as built-in RData loading and ontology annotation propagation:
>
* [`xRDataLoader`](http://rawgit.com/hfang-bristol/XGR/master/inst/xRDataLoader.html) (see [`Source Code`](https://github.com/hfang-bristol/XGR/blob/master/R/xRDataLoader.r))
* [`xDAGanno`](http://rawgit.com/hfang-bristol/XGR/master/inst/xDAGanno.html) (see [`Source Code`](https://github.com/hfang-bristol/XGR/blob/master/R/xDAGanno.r))
* [`xDAGsim`](http://rawgit.com/hfang-bristol/XGR/master/inst/xDAGsim.html) (see [`Source Code`](https://github.com/hfang-bristol/XGR/blob/master/R/xDAGsim.r))
* [`xConverter`](http://rawgit.com/hfang-bristol/XGR/master/inst/xConverter.html) (see [`Source Code`](https://github.com/hfang-bristol/XGR/blob/master/R/xConverter.r))
* [`xCircos`](http://rawgit.com/hfang-bristol/XGR/master/inst/xCircos.html) (see [`Source Code`](https://github.com/hfang-bristol/XGR/blob/master/R/xCircos.r))
* [`xVisNet`](http://rawgit.com/hfang-bristol/XGR/master/inst/xVisNet.html) (see [`Source Code`](https://github.com/hfang-bristol/XGR/blob/master/R/xVisNet.r))

### Auxiliary functions
These functions provide supplementary help and support:
>
* [`xFunArgs`](http://rawgit.com/hfang-bristol/XGR/master/inst/xFunArgs.html) (see [`Source Code`](https://github.com/hfang-bristol/XGR/blob/master/R/xFunArgs.r))
* [`xRdWrap`](http://rawgit.com/hfang-bristol/XGR/master/inst/xRdWrap.html) (see [`Source Code`](https://github.com/hfang-bristol/XGR/blob/master/R/xRdWrap.r))
* [`xRd2HTML`](http://rawgit.com/hfang-bristol/XGR/master/inst/xRd2HTML.html) (see [`Source Code`](https://github.com/hfang-bristol/XGR/blob/master/R/xRd2HTML.r))
